#!/bin/zsh

# Copyright 2014, 2015 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

. "${_EXEC}/templates/text_frame.sh"
[ -x "${_EXEC}/templates/text_${PAGE}.sh" ] && . "${_EXEC}/templates/text_${PAGE}.sh"

cat <<EOF
<!Doctype HTML>

<html>
  <head>
    <title>$(l10n p_${PAGE})</title>
    <style type="text/css">
    <!--
* {
  font-family: sans-serif;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  z-index: 0;
}
body {
  background: #EEE;
  margin: 0;
  padding: 2.5em 0 0 0;
}
.NAVIGATION {
  position: fixed;
  top: 0;
  display: inline-block;
  border-style: none solid solid solid;
  border-width: 0 1px 1px 1px;
  border-radius: 0 0 4px 4px;
  margin: 0 auto auto 3%;
  padding: .5em 1ex .5em 1ex;
  background: #FFF;
  z-index: 1;
}
.NAVIGATION a {
  color: #008;
  border: solid 1px #BBF;
  margin: .5em .5ex .25em .5ex;
  padding: .2em 3ex .2em 3ex;
  background: #EFF;
}
.NAVIGATION a:hover {
  border-width: 2px 1px 2px 1px;
  background: #F3FFFF;
}

/* dynamic page CSS starts here */
$(debug CSS; [ -x "${CSS}" ] && . "${CSS}")
    -->
    </style>
  </head>
  <body class="$PAGE">
    <div class="NAVIGATION">
      $(debug NAVIGATION = "$NAVIGATION"; for each in ${NAVIGATION}; do printf %s "<a href=\"?p=${each}\">$(l10n "p_${each}")</a>"; done)
    </div>
    $(debug BODY; [ -x "${BODY}" ] && . "${BODY}" || printf %s 'Error')
  </body>
</html>
EOF

# vi:set filetype=html:
